<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<document>
  <properties>
    <title>Maven Cruise Control Plug-in Properties</title>
  </properties>
  <body>
    <section name="Maven Cruise Control Plug-in Settings">
      <table>
        <tr>
          <th>Property</th>
          <th>Optional?</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>maven.cruisecontrol.home</td>
          <td>No</td>
          <td>
            <p>Location of cruise control installation - for finding the reporting directory</p>
          </td>
        </tr>
        <tr>
          <td>maven.cruisecontrol.schedule.interval</td>
          <td>Yes</td>
          <td>
            <p>Seconds in between builds for this project. Default value is
              <code>300</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.cruisecontrol.mail.host</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>localhost</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.cruisecontrol.mail.subjectprefix</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>[BUILD]</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.cruisecontrol.checkout.dir</td>
          <td>Yes</td>
          <td>
            <p>Where to checkout/update code temporarily. Default value is
              <code>${basedir}/checkout</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.cruisecontrol.logs.dir</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.build.dir}/cc-logs</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.cruisecontrol.goals</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>scm:update-project|clean test|site:deploy</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.cruisecontrol.config</td>
          <td>Yes</td>
          <td>
            <p>Config file to update/create. Default value is
              <code>${basedir}/cruisecontrol.xml</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.cruisecontrol.mail.defaultsuffix</td>
          <td>Yes</td>
          <td>
            <p>Default value is the domain name of the first email in
              <code>${pom.build.nagEmailAddress}</code>.</p>
          </td>
        </tr>
      </table>
    </section>
  </body>
</document>
